unit TestFastReportCompositePDFform;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, frxClass, frxExportBaseDialog, frxExportPDF;

type
  TFormTestFastReportCompositePDF = class(TForm)
    frxReport1: TfrxReport;
    frxPDFExport1: TfrxPDFExport;
    ButtonExportWIthoutPreview: TButton;
    ButtonPreview: TButton;
    procedure ButtonExportWIthoutPreviewClick(Sender: TObject);
    procedure ButtonPreviewClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormTestFastReportCompositePDF: TFormTestFastReportCompositePDF;

implementation

{$R *.dfm}

const
  WorkFolder = 'N:\Delphi\Projects\Testing for My Units\'; // change to something LOCAL!!!

procedure TFormTestFastReportCompositePDF.ButtonExportWIthoutPreviewClick(Sender: TObject);
begin
  frxReport1.LoadFromFile (WorkFolder + 'TestReportCompositeA.fr3', True);
  frxReport1.PrepareReport (True);
  frxReport1.LoadFromFile (WorkFolder + 'TestReportCompositeB.fr3', True);
  frxReport1.PrepareReport (False);
  frxReport1.LoadFromFile (WorkFolder + 'TestReportCompositeC.fr3', True);
  frxReport1.PrepareReport (False);
  frxPDFExport1.DefaultPath := WorkFolder;
  frxPDFExport1.FileName := ('TestFastReportComposite.pdf');
  frxPDFExport1.OpenAfterExport := True;
  frxReport1.Export (frxPDFExport1);
end;

procedure TFormTestFastReportCompositePDF.ButtonPreviewClick(Sender: TObject);
begin
  frxReport1.LoadFromFile (WorkFolder + 'TestReportCompositeA.fr3', True);
  frxReport1.PrepareReport (True);
  frxReport1.LoadFromFile (WorkFolder + 'TestReportCompositeB.fr3', True);
  frxReport1.PrepareReport (False);
  frxReport1.LoadFromFile (WorkFolder + 'TestReportCompositeC.fr3', True);
  frxReport1.PrepareReport (False);
  frxReport1.ShowPreparedReport;
end;

end.
